<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<div th:fragment="add-location-collapse-block (path)">
    <a class="btn btn-primary" data-toggle="collapse" href="#add-location" role="button" aria-expanded="false" aria-controls="collapseExample">
        Add location
    </a>
    <div th:class = "'collapse my-3' + (${location!=null}? ' show' : '')" id="add-location">
        <form th:action="${path}" method="post">
            <div class="form-group">
                <label for="latitudeInput"> Latitude : </label>
                <div class="col-sm-5">
                    <input type="text"  th:name="latitude" th:class = "'form-control' + (${latitudeError}? ' is-invalid' : '')"
                           th:value = "${location!=null}? ${location.latitude}"
                           id="latitudeInput" placeholder="Type latitude"/>
                    <div th:if ="${latitudeError}" class="invalid-feedback" th:text = "${latitudeError}"></div>
                </div>
            </div>
            <div class="form-group">
                <label for="longitudeInput"> Longitude : </label>
                <div class="col-sm-5">
                    <input type="text"  th:name="longitude" th:class = "'form-control' + (${longitudeError}? ' is-invalid' : '')"
                           th:value = "${location!=null}? ${location.longitude}"
                           id="longitudeInput" placeholder="Type longitude"/>
                    <div th:if ="${longitudeError}" class="invalid-feedback">
                        <span th:text = "${longitudeError}"></span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label for="radiusInput"> Radius :</label>
                <div class="col-sm-5">
                    <div class ="form-inline">
                        <input type="number"  th:name="radius" th:class = "'form-control' + (${radiusError}? ' is-invalid' : '')"
                               th:value = "${location!=null}? ${location.radius}"
                               id="radiusInput" placeholder="Type radius"/>
                        <div th:if ="${radiusError}" class="invalid-feedback">
                            <span th:text = "${radiusError}"></span>
                        </div>
                        <select name="dimension" class="align-content-center">
                            <option th:each="dimension : ${T(ua.yaroshenko.springapp.model.Dimension).values()}"
                                    th:value="${dimension}" th:text="${dimension.displayValue}"></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group mt-3">
                <input class="btn btn-primary" type="submit"  value="Add new location"/>
            </div>
        </form>
    </div>
</div>